Subject: Re: [PATCH] net: Add etun driver

From: Ben Greear <[email-masked]>
Date: Mon, 09 Apr 2007 11:48:07 -0700

David Miller wrote:
> From: Ben Greear <[email-masked]>
> Date: Mon, 09 Apr 2007 11:14:52 -0700
> 
>> Patrick McHardy wrote:
>>
>>> It would be nice if someone would finally come up with a generic
>>> interface based on netlink (RTM_NEWLINK) instead of adding yet
>>> another couple of homegrown interfaces.
>> My preference is for ioctls, procfs, or similar that does not
>> require extra libraries.  Ethtool is an ioctl based approach,
>> so that could potentially be used, though I'm not sure if
>> that's the right place to put it...
> 
> I totally disagree.
> 
> Netlink doesn't require libraries, the libraries just make using it
> easier.  It's a simple protocol sent over a socket, if you include
> the right headers you can do it all yourself.
> 
> We shouldn't fail to use our proper core network configuration
> interface just because it's inconvenient for you.

Well, I find it inconvenient, so my preference is for other
methods...that shouldn't be too supprising.  I'm a lazy programmer
after all! :)

If it does get added, and something like 'ip' gains ability to
use it, then I can just system("ip whatever"), so maybe that's the
out for lazy programmers...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com